Package com.arms.api.analysis.scope.service

## Class ScopeServiceImpl

- java.lang.Object
- - com.arms.api.analysis.scope.service.ScopeServiceImpl

- All Implemented Interfaces:
    `ScopeService`

      @Service
      public class ScopeServiceImpl
      extends java.lang.Object
      implements ScopeService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScopeServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<CountByVersionNamesVO>` | `countByVersionNames​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<CircularPackingChartVO>` | `getCircularPackingChartData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<ReqDataTableIssuesVO>` | `getDataTableIssues​(ScopeDTO scopeDTO)` |
    `java.util.List<NetworkChartExcelDataVO>` | `getNetworkChartExcelData​(ScopeDTO scopeDTO)` |
    `java.util.List<TreeNodeVO>` | `getReqNetworkFilterData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkFullData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkIssueData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `NetworkChartVO` | `getReqNetworkVersionData​(java.lang.String changeReqTableName, ScopeDTO scopeDTO)` |
    `java.util.List<ReqAddWithPropertyVO>` | `reqAddWithPropertyListPerVersion​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `java.util.List<TreeBarVO>` | `treeBarData​(ScopeDTO scopeDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeServiceImpl

          public ScopeServiceImpl()

  - ### Method Detail

    - #### getReqNetworkFullData

          public NetworkChartVO getReqNetworkFullData​(java.lang.String changeReqTableName,
                                                      ScopeDTO scopeDTO)
                                               throws java.lang.Exception

      Specified by:
        `getReqNetworkFullData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getReqNetworkVersionData

          public NetworkChartVO getReqNetworkVersionData​(java.lang.String changeReqTableName,
                                                         ScopeDTO scopeDTO)
                                                  throws java.lang.Exception

      Specified by:
        `getReqNetworkVersionData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getReqNetworkIssueData

          public NetworkChartVO getReqNetworkIssueData​(java.lang.String changeReqTableName,
                                                       ScopeDTO scopeDTO)
                                                throws java.lang.Exception

      Specified by:
        `getReqNetworkIssueData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getReqNetworkFilterData

          public java.util.List<TreeNodeVO> getReqNetworkFilterData​(java.lang.String changeReqTableName,
                                                                    ScopeDTO scopeDTO)
                                                             throws java.lang.Exception

      Specified by:
        `getReqNetworkFilterData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getCircularPackingChartData

          public java.util.List<CircularPackingChartVO> getCircularPackingChartData​(java.lang.String changeReqTableName,
                                                                                    ScopeDTO scopeDTO)
                                                                             throws java.lang.Exception

      Specified by:
        `getCircularPackingChartData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### countByVersionNames

          public java.util.List<CountByVersionNamesVO> countByVersionNames​(java.lang.String changeReqTableName,
                                                                           ScopeDTO scopeDTO)
                                                                    throws java.lang.Exception

      Specified by:
        `countByVersionNames` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### reqAddWithPropertyListPerVersion

          public java.util.List<ReqAddWithPropertyVO> reqAddWithPropertyListPerVersion​(java.lang.String changeReqTableName,
                                                                                       java.lang.Long pdServiceId,
                                                                                       java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                                                throws java.lang.Exception

      Specified by:
        `reqAddWithPropertyListPerVersion` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getDataTableIssues

          public java.util.List<ReqDataTableIssuesVO> getDataTableIssues​(ScopeDTO scopeDTO)
                                                                  throws java.lang.Exception

      Specified by:
        `getDataTableIssues` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### treeBarData

          public java.util.List<TreeBarVO> treeBarData​(ScopeDTO scopeDTO)
                                                throws java.lang.Exception

      Specified by:
        `treeBarData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`

    - #### getNetworkChartExcelData

          public java.util.List<NetworkChartExcelDataVO> getNetworkChartExcelData​(ScopeDTO scopeDTO)
                                                                           throws java.lang.Exception

      Specified by:
        `getNetworkChartExcelData` in interface `ScopeService`
      Throws:
        `java.lang.Exception`